<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Siska Lite
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="https://gmpg.org/xfn/11">
<?php if(is_singular() && pings_open()) { ?>
<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' )); ?>">
<?php } ?>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
	//wp_body_open hook from WordPress 5.2
	if ( function_exists( 'wp_body_open' ) ) {
	    wp_body_open();
	} else {
		do_action( 'wp_body_open' );
	}
?>
<a class="skip-link screen-reader-text" href="#sitemain">
	<?php _e( 'Skip to content', 'siska-lite' ); ?>
</a>

<div class="main-header">
	<div id="header">
		<?php $siska_hide_wedo = get_theme_mod('siska_hide_tphead','1');
			if( $siska_hide_wedo == '' ){

				$gettpmail = get_theme_mod( 'siska_tp_head_mail' );
				$gettptel = get_theme_mod( 'siska_tp_head_tel' );

				$gettpfb = get_theme_mod( 'siska_tp_fb' );
				$gettptw = get_theme_mod( 'siska_tp_tw' );
				$gettpins = get_theme_mod( 'siska_tp_ins' );
				$gettpin = get_theme_mod( 'siska_tp_in' );
				$gettpgp = get_theme_mod( 'siska_tp_gp' );
				$gettpyt = get_theme_mod( 'siska_tp_yt' );

				echo '<div class="top-header"><div class="aligner"><div class="flex ac">';
					if( !empty( $gettpmail || $gettptel )){
						echo'<div class="top-header-left">';
							if( !empty( $gettpmail ) ) {
								echo '<a href="mailto:'.$gettpmail.'"><i class="fa fa-envelope" aria-hidden="true"></i></a>';
							}if( !empty( $gettptel ) ) {
								echo '<a href="tel:'.$gettptel.'"><i class="fa fa-phone" aria-hidden="true"></i></a>';
							}
						echo '</div><!-- left -->';
					}if( !empty( $gettpfb || $gettptw || $gettpins || $gettpin || $gettpgp || $gettpyt )){
						echo '<div class="top-header-right"><div class="social-icons">';
								if( !empty( $gettpfb ) ) {
									echo '<a href="'.$gettpfb.'" target="_blank" title="facebook"><i class="fa fa-facebook"></i></a>';
								}if( !empty( $gettptw ) ) {
									echo '<a href="'.$gettptw.'" target="_blank" title="twitter"><i class="fa fa-twitter"></i></a>';
								}if( !empty( $gettpins ) ) {
									echo '<a href="'.$gettpins.'" target="_blank" title="Instagram"><i class="fa fa-instagram"></i></a>';
								}if( !empty( $gettpin ) ) {
									echo '<a href="'.$gettpin.'" target="_blank" title="Pinterest"><i class="fa fa-pinterest-p"></i></a>';
								}if( !empty( $gettpgp ) ) {
									echo '<a href="'.$gettpgp.'" target="_blank" title="Google Plus"><i class="fa fa-google-plus"></i></a>';
								}if( !empty( $gettpyt ) ) {
									echo '<a href="'.$gettpyt.'" target="_blank" title="Youtube"><i class="fa fa-youtube"></i></a>';
								}
						echo '</div><!-- social --></div><!-- right -->';
					}
				echo '</div><!-- flex --></div><!-- aligner --></div><!-- top-header -->';
			}
		?>

		

		<div class="aligner">
			<div class="flex ac">
				<?php 
					get_template_part('inc/template-parts/site','title');
					get_template_part('inc/template-parts/navigation');
				?>
			</div><!-- flex -->
		</div><!-- aligner --><div class="clear"></div>
	</div><!-- #header -->
</div><!-- main header -->